Documentation Index
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url https://api.maildiver.com/v1/workflows/{id}/executions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.maildiver.com/v1/workflows/{id}/executions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.maildiver.com/v1/workflows/{id}/executions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"executions": [
{
"execution_id": "0195c9e3-5067-741d-be87-a4f75ef93372",
"workflow_id": "0199f234-d327-7cd8-9dc5-4fd8e5e249df",
"workspace_id": "0195a927-b706-725a-94dd-372770d920f2",
"version_used": 1,
"status": "COMPLETED",
"current_step_id": "step_send_email",
"email": "user@example.com",
"step_count": 3,
"created_at": 1742843423033,
"updated_at": 1742843424100,
"completed_at": 1742843424147,
"error": null,
"cancellation_reason": null
},
{
"execution_id": "0195c413-3fe1-779d-804e-f5f9bd8cd523",
"workflow_id": "0199f234-d327-7cd8-9dc5-4fd8e5e249df",
"workspace_id": "0195a927-b706-725a-94dd-372770d920f2",
"version_used": 1,
"status": "WAITING",
"current_step_id": "step_wait",
"email": "customer@example.com",
"step_count": 2,
"created_at": 1742751354368,
"updated_at": 1742751354400,
"completed_at": null,
"error": null,
"cancellation_reason": null,
"wait_until": 1742837754368
}
],
"count": 2,
"cursor": null
}{
"message": "<string>"
}{
"error": "Failed to list executions",
"details": "Error details"
}Endpoint: v1/workflows/{id}/executions
List all executions for a specific workflow. Supports filtering by status and pagination. Returns up to 50 executions per page.
API key with format "Bearer {your-api-key}"
Unique identifier of the workflow
Pagination cursor for fetching the next page of results. This is a base64-encoded string returned from the previous response.
Filter executions by status
IN_PROGRESS, WAITING, COMPLETED, FAILED, CANCELLED OK
Was this page helpful?